Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# signals.h File Reference

C++ signal interface. More...

`#include <inti/slot.h>`
`#include <inti/connection.h>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

- namespace Inti

## Detailed Description

C++ signal interface.

Provides a set of signal class templates you can use to create signals that can pass up to 6 arguments to signal handlers connected via the slot interface (see inti/slot.h). The signal classes are named Signal0 to Signal6, where 0 to 6 specifies the number of arguments that can be passed to a slot.
Main Page - Footer